Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007437 [DCSS] Bug Report minor always 2013-08-07 05:46 2014-07-19 05:41
Reporter drywall View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0007437: Engulf status remains after water elemental is trampled away from the player
Description I was fighting a water elemental with an allied dragon zombie and was engulfed. The dragon zombie trampled the water elemental so it was no longer adjacent to me, but I still had the engulf status at the start of the next turn (which was removed when I moved again as usual)
Additional Information
Tags No tags attached.
Attached Files png file icon message log.png [^] (32,913 bytes) 2013-08-07 05:46

- Relationships
related to 0007394new Engulf status remains after water elemental destroyed by retalitory headbutt. 

-  Notes
(0023666)
moxian (reporter)
2013-08-07 12:51

Related 0007394
(0025885)
raskol (reporter)
2014-04-23 00:29

Happens when you are blown away from an engulfing creature also:
_The water elemental engulfs you in water!
 You miss the sea snake.
 The sea snake is heavily wounded.
 * * * LOW HITPOINT WARNING * * *
 Your lungs strain for air!
 You feel sick.
 The sea snake bites you but does no damage.
 The wind drake exhales a fierce blast of wind!
 You are blown backwards!
_The sea snake is blown away by the wind.
 You cannot cast spells while unable to breathe!
 You cannot read scrolls while unable to breathe!
(0026775)
neil (administrator)
2014-07-19 05:41

Should be fixed in trunk (0.15-a0-2159-g3000a8c and 0.15-a0-2160-gb4cbbce), thanks! Now we remove nonadjacent engulf status whenever we would remove nonadjacent constriction; however, monster-on-monster engulfing might not always be ended properly.

- Issue History
Date Modified Username Field Change
2013-08-07 05:46 drywall New Issue
2013-08-07 05:46 drywall File Added: message log.png
2013-08-07 12:51 moxian Note Added: 0023666
2013-08-11 17:46 Medar Relationship added related to 0007394
2014-04-23 00:29 raskol Note Added: 0025885
2014-07-19 05:41 neil Note Added: 0026775
2014-07-19 05:41 neil Status new => resolved
2014-07-19 05:41 neil Fixed in Branch => 0.15 development branch
2014-07-19 05:41 neil Resolution open => done
2014-07-19 05:41 neil Assigned To => neil


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker